libconfig-jfdi-perl_0.065-1_all.deb


Advertisement

Description

libconfig-jfdi-perl - Perl module to load any configuration files

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libconfig-jfdi-perl
Package version: 0.065
Package release: 1
Package architecture: all
Package type: deb
Installed size: 96 B
Download size: 15.05 KB
Official Mirror: ftp.br.debian.org
Config::JFDI scans a directory for files matching a certain name. If such a file is found, and it matches an extension that Config::Any can read, then the configuration from that file will be loaded. It also looks for special files that end with a "_local" suffix, which take precedence over any other configuration files. The precedence takes place by merging the local config with the standard file using Hash::Merge::Simple (libhash-merge-simple-perl). Essentially, this is an implementation of Catalyst::Plugin::ConfigLoader that exists outside of Catalyst.

Alternatives

    Download

    Source package: libconfig-jfdi-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libconfig-jfdi-perl deb package:
      # sudo apt-get install libconfig-jfdi-perl

    Files

    • /usr/share/doc/libconfig-jfdi-perl/changelog.Debian.gz
    • /usr/share/doc/libconfig-jfdi-perl/changelog.gz
    • /usr/share/doc/libconfig-jfdi-perl/copyright
    • /usr/share/man/man3/Config::JFDI.3pm.gz
    • /usr/share/perl5/Config/JFDI.pm
    • /usr/share/perl5/Config/JFDI/Carp.pm
    • /usr/share/perl5/Config/JFDI/Source/Loader.pm

    Changelog

    2011-03-11 - gregor herrmann <gregoa@debian.org> libconfig-jfdi-perl (0.065-1) unstable; urgency=low * New upstream release. [ Jonathan Yu ] * Standards-Version 3.9.1 (no changes) * Update dependencies per upstream [ gregor herrmann ] * Update copyright. * Add /me to Uploaders. * Switch to debhelper 8.

    2009-10-20 - Jonathan Yu <jawnsy@cpan.org> libconfig-jfdi-perl (0.064-1) unstable; urgency=low * New upstream release

    2009-10-17 - Jonathan Yu <jawnsy@cpan.org> libconfig-jfdi-perl (0.063-1) unstable; urgency=low * Initial Release (Closes: #537876)

    Advertisement
    Advertisement